"use client";
import { markdownLineEnding as o } from "../../micromark-util-character/index.js";
const c = {
  name: "hardBreakEscape",
  tokenize: u
};
function u(e, n, a) {
  return t;
  function t(r) {
    return e.enter("hardBreakEscape"), e.consume(r), i;
  }
  function i(r) {
    return o(r) ? (e.exit("hardBreakEscape"), n(r)) : a(r);
  }
}
export {
  c as hardBreakEscape
};
